Problems with build_external #42

Open
sramin opened this Issue Jul 3, 2009 · 1 comment

Projects

None yet

2 participants

@sramin

I am getting errors trying to run build_externals-linux.sh. I am running Ubuntu Jaunty x64. The error seems to be in auibook.cpp. Would appreciate help!

./src/aui/auibook.cpp: In constructor ‘wxAuiSimpleTabArt::wxAuiSimpleTabArt()’
./src/aui/auibook.cpp:1002: error: ‘m_pressed_close_bmp’ was not declared in this scope
./src/aui/auibook.cpp:1003: error: ‘m_hot_close_bmp’ was not declared in this scope
./src/aui/auibook.cpp: At global scope:
./src/aui/auibook.cpp:4799: error: redefinition of ‘int wxAuiNotebook::PageToTab(size_t)’
./src/aui/auibook.cpp:4617: error: ‘int wxAuiNotebook::PageToTab(size_t)’ previously defined here
./src/aui/auibook.cpp:4827: error: redefinition of ‘int wxAuiNotebook::TabToPage(size_t)’
./src/aui/auibook.cpp:4645: error: ‘int wxAuiNotebook::TabToPage(size_t)’ previously defined here
./src/aui/auibook.cpp:4851: error: redefinition of ‘wxString wxAuiNotebook::SavePerspective()’
./src/aui/auibook.cpp:4669: error: ‘wxString wxAuiNotebook::SavePerspective()’ previously defined here
./src/aui/auibook.cpp:4891: error: redefinition of ‘bool wxAuiNotebook::LoadPerspective(const wxString&)’
./src/aui/auibook.cpp:4709: error: ‘bool wxAuiNotebook::LoadPerspective(const wxString&)’ previously defined here
make: *** [monolib_auibook.o] Error 1
Cannot compile wxWidgets
~/etexteditor-e-ef9650485a4a69b715780ead1fc0dcc7b4cf4438/external
~/etexteditor-e-ef9650485a4a69b715780ead1fc0dcc7b4cf4438/external/webkit ~/etexteditor-e-ef9650485a4a69b715780ead1fc0dcc7b4cf4438/external
make[1]: Entering directory /home/ramin/etexteditor-e-ef9650485a4a69b715780ead1fc0dcc7b4cf4438/external/webkit/JavaScriptCore'
( xcodebuild -target All -alltargets clean
perl -I../WebKitTools/Scripts -Mwebkitdirs -e 'print XcodeOptionString()'| grep -v setenv && exit ${PIPESTATUS[0]} )
/bin/sh: xcodebuild: not found
make[1]: *** [clean] Error 1
make[1]: Leaving directory
/home/ramin/etexteditor-e-ef9650485a4a69b715780ead1fc0dcc7b4cf4438/external/webkit/JavaScriptCore'
make: *** [clean] Error 2

@rrouse

Did you run "get_externals_linux.sh"?

It'll get a particular version of wxWidgets. I just compiled things today on the same Ubuntu version and it works fine.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment